Bug 2232584 - 6.4 kernels - robotic sound on some Lenovo ThinkPad models (P1 gen 3-4, T14s gen 1-2)
Summary: 6.4 kernels - robotic sound on some Lenovo ThinkPad models (P1 gen 3-4, T14s ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 38
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2184978
TreeView+ depends on / blocked
 
Reported: 2023-08-17 13:26 UTC by Jaroslav Kysela
Modified: 2023-08-26 02:04 UTC (History)
4 users (show)

Fixed In Version: kernel-6.4.12-100.fc37 kernel-6.4.12-200.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-26 01:11:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Lenovo P1 gen 3, performace power mode, kernel 6.4.9 (62.08 KB, text/plain)
2023-08-17 13:36 UTC, Jaroslav Kysela
no flags Details

Description Jaroslav Kysela 2023-08-17 13:26:24 UTC
Tracking bug: The output sound may be garbled, "robotic" in some cases.

The issue may occur randomly for some users. I can reproduce "robotic" sound on P1 gen 4 with the low-power mode settings and suspend/resume everytime.

Affected hardware: Lenovo ThinkPad P1 gen 3, P1 gen 4, T14s gen 1, T14s gen 2

Reproducible: Always

Comment 1 Jaroslav Kysela 2023-08-17 13:36:27 UTC
Created attachment 1983826 [details]
Lenovo P1 gen 3, performace power mode, kernel 6.4.9

Comment 3 Jaroslav Kysela 2023-08-21 12:03:19 UTC
The upstream fix 90219f1bd273055f1dc1d7bdc0965755b992c045 will be in the vanilla 6.5 kernel, too. No special handling for Fedora kernels is required.

Comment 4 Kamil Páral 2023-08-21 20:59:42 UTC
There are quite a few people complaining about garbled audio on Fedora channels, e.g. here:
https://discussion.fedoraproject.org/t/garbled-audio/87470

I asked them to test the patched kernel and provide feedback.

Comment 5 Jaroslav Kysela 2023-08-22 10:52:33 UTC
The https://gitlab.com/cki-project/kernel-ark/-/merge_requests/2645 was merged. We should have this fix in the 6.4.12 Fedora kernel.

Comment 6 Kamil Páral 2023-08-23 08:23:54 UTC
(In reply to Jaroslav Kysela from comment #2)
> A test kernel build for Fedora 38:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=104978348

I wasn't able to reproduce the audio problem with this. On the other hand, on regular kernels, it happens completely randomly for me, so I don't have a reliable reproducer.

Comment 7 Fedora Update System 2023-08-23 21:23:02 UTC
FEDORA-2023-bb4e6cd88b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bb4e6cd88b

Comment 8 Fedora Update System 2023-08-24 01:38:15 UTC
FEDORA-2023-bb4e6cd88b has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bb4e6cd88b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bb4e6cd88b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-08-24 02:23:12 UTC
FEDORA-2023-a648e626d2 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a648e626d2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a648e626d2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-08-26 01:11:14 UTC
FEDORA-2023-a648e626d2 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-08-26 02:04:17 UTC
FEDORA-2023-bb4e6cd88b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.